summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2010-07-30 10:45:58 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2010-07-30 10:45:58 +0200
commit88bbfd520998eab45c20b6d0b52793b2b6ad3907 (patch)
tree0c855ce00fc2381cb95252d57bd9dc4c5b662a0a /scripts
parent1115439a910ccc45a54d6bb89828cffe4b91fe81 (diff)
python is required for firefox, disable build of firefox on BSD for now
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/adkprepare.sh3
-rw-r--r--scripts/scan-pkgs.sh12
2 files changed, 15 insertions, 0 deletions
diff --git a/scripts/adkprepare.sh b/scripts/adkprepare.sh
index 5faaed56e..ac5169986 100755
--- a/scripts/adkprepare.sh
+++ b/scripts/adkprepare.sh
@@ -55,6 +55,8 @@ netbsd() {
netbsd_full() {
echo "Preparing NetBSD for full OpenADK package builds"
+ PKG_PATH="ftp://ftp.netbsd.org/pub/pkgsrc/packages/NetBSD/${arch}/5.0/All/"
+ export PKG_PATH
pkg_add -vu intltool
pkg_add -vu lynx
pkg_add -vu pkg-config
@@ -62,6 +64,7 @@ netbsd_full() {
pkg_add -vu bison
pkg_add -vu libIDL
pkg_add -vu xkbcomp
+ pkg_add -vu python26
}
freebsd() {
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index f08ee812a..9470c0d3f 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -36,6 +36,7 @@ fi
if [[ -n $ADK_PACKAGE_FIREFOX ]]; then
NEED_ZIP="$NEED_ZIP firefox"
NEED_LIBIDL="$NEED_LIBIDL firefox"
+ NEED_PYTHON="$NEED_PYTHON firefox"
fi
if [[ -n $ADK_COMPILE_HEIMDAL ]]; then
@@ -241,4 +242,15 @@ if [[ -n $NEED_FLEX ]]; then
fi
fi
+if [[ -n $NEED_PYTHON ]]; then
+ if ! which python >/dev/null 2>&1; then
+ if ! test -x /usr/pkg/bin/python2.6 >/dev/null; then
+ echo >&2 You need python to to use $NEED_PYTHON package
+ out=1
+ fi
+ fi
+fi
+
+exit $out
+
exit $out